/*
 Theme Name:   Bricks Child Theme
 Theme URI:    https://bricksbuilder.io/
 Description:  Use this child theme to extend Bricks.
 Author:       Bricks
 Author URI:   https://bricksbuilder.io/
 Template:     bricks
 Version:      1.1
 Text Domain:  bricks
*/

.brxe-container.container-sm {
    max-width: 1110px;
}

@media (max-width: 1199px) {
    .brxe-container.container-sm {
        max-width: 930px;
    }
}

@media (max-width: 991px) {
    .brxe-container.container-sm {
        max-width: 690px;
    }
}

@media (max-width: 767px) {
    .brxe-container.container-sm {
        max-width: 510px;
    }
}

.bricks-button {
    display: inline-flex;
    min-width: 220px;
    min-height: 52px;
}

.brxe-heading span {
    color: var(--bricks-color-wystnk, #ff99cc);
}

.brxe-heading span.secondary {
    color: var(--bricks-color-lpdcrd, #57b3b4);
}

.block--left-border {
    display: block;
    padding: 3px 0 3px 11px;
    border-left: 9px solid var(--bricks-color-wystnk, #ff99cc);
    box-shadow: 0 0 12px rgb(0 0 0 / 8%);
    border-radius: 5px 0 0 5px;
}

.brxe-heading a,
.wppb-accordion-content a {
	text-decoration: underline;
}

.brxe-text a {
    text-decoration: underline;
    color: #007bff;
}

.brxe-text a:hover {
    color: #0056b3;
}

/*
 * Scrollbar
 * */
.block-has-scrollbar {
    padding-right: 5px;
}

.block-has-scrollbar::-webkit-scrollbar-thumb {
    background-color: #62c6b1;
    border-radius: 15px;
}

.block-has-scrollbar::-webkit-scrollbar-track {
    box-shadow: inset 0 0 5px 5px #999;
    /* border-radius: 15px; */
}

.block-has-scrollbar::-webkit-scrollbar {
    width: 5px;
}

/*
 * Google Review
 * */
.review {
    position: relative;
    overflow: hidden;
    padding-inline: 15px;
}

.review-swiper {
    position: relative;
    overflow: hidden;
    padding: 10px;
    margin-inline: auto;
}

.review-swiper .slide-inner {
    position: relative;
    height: 100%;
    padding: 20px;
    background: #fff;
    border: 1px solid #fff;
    border-radius: 4px;
    box-shadow: 1px 1px 7px 0px rgba(0, 0, 0, 0.13), 0px 0px 2px 0px rgba(0, 0, 0, 0.05);
}

.review-swiper .review-header {
    display: flex;
    align-items: center;
}

.review-swiper .review-header__image {
    margin-right: 15px;
}

.review-swiper .review-header__image img {
    width: 40px;
    height: auto;
    aspect-ratio: 1;
}

.review-swiper .review-header__details {
    position: relative;
    width: 100%;
}

.review-swiper .review-header__details::after {
    content: "";
    display: block;
    width: 20px;
    height: 20px;
    position: absolute;
    top: 0;
    right: 0px;
    /* background-image: url("https://cdn.trustindex.io/assets/platform/Google/icon.svg"); */
    background-image: url(./assets/icons/icon-google.svg);
    background-repeat: no-repeat;
    background-position: center center;
    background-size: contain;
}

.review-swiper .review-header__details-name {
    font-size: 14px;
    font-weight: 700;
    color: #000;
    margin-bottom: 2px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    padding-right: 25px;
}

.review-swiper .review-header__details-date {
    font-size: 11px;
    color: #000;
    opacity: 0.5;
}

.review-swiper .review-rating {
    margin-block: 15px 6px;
}

.review-swiper .review-rating img {
    display: inline-block;
    width: 17px;
    height: 17px;
    object-fit: cover;
    border-radius: 50%;
}

.review-swiper .review-content {
    overflow: auto;
    max-height: 100px;
}

.review-swiper .review-readmore {
    display: inline-block;
    font-weight: 400;
    white-space: nowrap;
    font-size: 13px;
    color: #000;
    text-decoration: none !important;
    transition: color 300ms ease-out;
    cursor: pointer;
    opacity: 0.5;
}

.review .swiper-button {
    border-width: 3px 3px 0 0;
    border-style: solid;
    width: 17px;
    height: 17px;
    border-color: #ccc;
}

.review .swiper-button-prev {
    left: 5px;
    transform: rotate(-135deg);
}

.review .swiper-button-next {
    right: 5px;
    transform: rotate(45deg);
}

@media (min-width: 1200px) {
    .review-swiper {
        max-width: 1070px;
    }
}

/*
 * Form
 * */
.wpforms-container.wpforms-container-full form.wpforms-form .wpforms-field-container .wpforms-field {
    padding: 0;
    margin-bottom: 20px;
}

.wpforms-container.wpforms-container-full form.wpforms-form .wpforms-field-container .wpforms-field input,
.wpforms-container.wpforms-container-full form.wpforms-form .wpforms-field-container .wpforms-field textarea {
    height: 45px;
    border: 1px solid #E8E8E8;
    box-shadow: none;
    padding: 0 12px;
    line-height: 1.25;
    color: #495057;
    background-color: #fff;
    border-radius: 4px;
    resize: none;
}

.wpforms-container.wpforms-container-full form.wpforms-form .wpforms-field-container .wpforms-field textarea {
    min-height: 45px;
    padding: 8px 12px;
	height: auto;
}

.wpforms-container.wpforms-container-full form.wpforms-form .wpforms-field-container .wpforms-field input::placeholder,
.wpforms-container.wpforms-container-full form.wpforms-form .wpforms-field-container .wpforms-field textarea::placeholder {
    color: #495057;
}

.wpforms-container.wpforms-container-full form.wpforms-form .wpforms-submit-container {
    padding-top: 10px;
}

.wpforms-container.wpforms-container-full form.wpforms-form .wpforms-submit {
    height: 46px;
    font-weight: 500;
    background-color: #FF99CC !important;
    border-radius: 5px;
    color: #fff;
    width: 100%;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all 0.3s;
}

.wpforms-container.wpforms-container-full form.wpforms-form .wpforms-submit:hover {
    background: #57B3B4 !important;
}

.wpforms-container.wpforms-container-full .wpforms-recaptcha-container .g-recaptcha {
    padding-top: 0;
}

.wpforms-container.wpforms-container-full .wpforms-recaptcha-container {
    margin-bottom: 20px;
}

/* Calendar Form Popup */
.calendar-form {
	font-size: 12px;
}

.calendar-form .form-group {
	display: flex;
	align-items: center;
	margin-bottom: 16px;
}

.calendar-form label {
	width: 33%;
}

.calendar-form .field-input {
	display: flex;
	align-items: center;
	width: 100%;
}

.calendar-form .field-input .week {
	margin-right: 10px;
}

.calendar-form .field-input input {
	height: 40px;
	padding: 0 12px;
	outline: none;
}

.calendar-form .field-input input:focus {
	border: 1px solid #000;
}

@media (max-width: 600px) {
	.calendar-form .form-group {
		flex-direction: column;
    align-items: start;
	}
	
	.calendar-form label {
		width: 100%;
	}
	
	.calendar-form .field-input {
		display: block;
	}
	
	.calendar-form .field-input-week-day input {
		width: 200px;
    margin-bottom: 10px;
    margin-right: 10px;
	}
}
